> ## Documentation Index
> Fetch the complete documentation index at: https://neardocs-docs-2551-dao-feedback.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post experimental receipt to tx

> Resolves a receipt ID back to the originating transaction hash and sender account



## OpenAPI

````yaml /openapi.json post /EXPERIMENTAL_receipt_to_tx
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.6
servers: []
security: []
paths:
  /EXPERIMENTAL_receipt_to_tx:
    post:
      description: >-
        Resolves a receipt ID back to the originating transaction hash and
        sender account
      operationId: EXPERIMENTAL_receipt_to_tx
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JsonRpcRequest_for_EXPERIMENTAL_receipt_to_tx
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcReceiptToTxResponse_and_RpcReceiptToTxError
components:
  schemas:
    JsonRpcRequest_for_EXPERIMENTAL_receipt_to_tx:
      properties:
        id:
          type: string
          default: dontcare
          description: JSON-RPC request id. Auto-populated; can be any string.
        jsonrpc:
          type: string
          default: '2.0'
          enum:
            - '2.0'
          description: JSON-RPC protocol version. Always `2.0`.
        method:
          enum:
            - EXPERIMENTAL_receipt_to_tx
          type: string
        params:
          $ref: '#/components/schemas/RpcReceiptToTxRequest'
      required:
        - params
        - method
      title: JsonRpcRequest_for_EXPERIMENTAL_receipt_to_tx
      type: object
    JsonRpcResponse_for_RpcReceiptToTxResponse_and_RpcReceiptToTxError:
      oneOf:
        - properties:
            result:
              $ref: '#/components/schemas/RpcReceiptToTxResponse'
          required:
            - result
          type: object
        - properties:
            error:
              $ref: '#/components/schemas/ErrorWrapper_for_RpcReceiptToTxError'
          required:
            - error
          type: object
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_RpcReceiptToTxResponse_and_RpcReceiptToTxError
      type: object
    RpcReceiptToTxRequest:
      properties:
        receipt_id:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - receipt_id
      title: RpcReceiptToTxRequest
      type: object
    RpcReceiptToTxResponse:
      properties:
        sender_account_id:
          $ref: '#/components/schemas/AccountId'
        transaction_hash:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - transaction_hash
        - sender_account_id
      type: object
    ErrorWrapper_for_RpcReceiptToTxError:
      oneOf:
        - properties:
            cause:
              $ref: '#/components/schemas/RpcRequestValidationErrorKind'
            name:
              enum:
                - REQUEST_VALIDATION_ERROR
              type: string
          required:
            - name
            - cause
          type: object
        - properties:
            cause:
              $ref: '#/components/schemas/RpcReceiptToTxError'
            name:
              enum:
                - HANDLER_ERROR
              type: string
          required:
            - name
            - cause
          type: object
        - properties:
            cause:
              $ref: '#/components/schemas/InternalError'
            name:
              enum:
                - INTERNAL_ERROR
              type: string
          required:
            - name
            - cause
          type: object
    CryptoHash:
      type: string
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    RpcRequestValidationErrorKind:
      oneOf:
        - properties:
            info:
              properties:
                method_name:
                  type: string
              required:
                - method_name
              type: object
            name:
              enum:
                - METHOD_NOT_FOUND
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                error_message:
                  type: string
              required:
                - error_message
              type: object
            name:
              enum:
                - PARSE_ERROR
              type: string
          required:
            - name
            - info
          type: object
    RpcReceiptToTxError:
      oneOf:
        - properties:
            info:
              properties:
                receipt_id:
                  $ref: '#/components/schemas/CryptoHash'
              required:
                - receipt_id
              type: object
            name:
              enum:
                - UNKNOWN_RECEIPT
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                limit:
                  format: uint32
                  minimum: 0
                  type: integer
                receipt_id:
                  $ref: '#/components/schemas/CryptoHash'
              required:
                - receipt_id
                - limit
              type: object
            name:
              enum:
                - DEPTH_EXCEEDED
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                error_message:
                  type: string
              required:
                - error_message
              type: object
            name:
              enum:
                - UNSUPPORTED
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                error_message:
                  type: string
              required:
                - error_message
              type: object
            name:
              enum:
                - INTERNAL_ERROR
              type: string
          required:
            - name
            - info
          type: object
    InternalError:
      oneOf:
        - properties:
            info:
              properties:
                error_message:
                  type: string
              required:
                - error_message
              type: object
            name:
              enum:
                - INTERNAL_ERROR
              type: string
          required:
            - name
            - info
          type: object

````